Bug 76456 - [CSS Regions] Inconsistent text selection behavior in regions
Summary: [CSS Regions] Inconsistent text selection behavior in regions
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Mihnea Ovidenie
URL:
Keywords:
Depends on:
Blocks: 57312
  Show dependency treegraph
 
Reported: 2012-01-17 07:52 PST by Razvan Caliman
Modified: 2012-02-13 14:02 PST (History)
7 users (show)

See Also:


Attachments
test case (8.71 KB, text/html)
2012-01-17 07:52 PST, Razvan Caliman
no flags Details
Simple fix, no tests (3.07 KB, patch)
2012-02-02 02:18 PST, Alexandru Chiculita
no flags Details | Formatted Diff | Diff
patch for review (6.26 KB, patch)
2012-02-06 06:51 PST, Raul Hudea
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Razvan Caliman 2012-01-17 07:52:47 PST
Created attachment 122769 [details]
test case

As a user, I want to be able to select all the text from the second region from a region chain. 

Text selection behavior is inconsistent when trying to select text from the second region of a region chain.
Sometimes I cannot select any text at all. Other times parts of the text from the first region are mistakenly included in the selection.
Comment 1 Tony Chang 2012-01-17 11:42:21 PST
Yup, see https://lists.webkit.org/pipermail/webkit-dev/2012-January/019029.html .  This problem isn't specific to regions.

That said, repaint appears to be broken.  If I select from both columns, then click elsewhere to remove the selection, the second column still appears selected (although it's not).
Comment 2 Alexandru Chiculita 2012-02-02 02:18:21 PST
Created attachment 125102 [details]
Simple fix, no tests
Comment 3 Raul Hudea 2012-02-06 06:51:39 PST
Created attachment 125636 [details]
patch for review
Comment 4 Dave Hyatt 2012-02-13 12:45:03 PST
Comment on attachment 125636 [details]
patch for review

r=me
Comment 5 WebKit Review Bot 2012-02-13 14:02:44 PST
Comment on attachment 125636 [details]
patch for review

Clearing flags on attachment: 125636

Committed r107605: <http://trac.webkit.org/changeset/107605>
Comment 6 WebKit Review Bot 2012-02-13 14:02:49 PST
All reviewed patches have been landed.  Closing bug.